# Copyright (C) 2010 Linaro Limited
#
# Author: Zygmunt Krynicki <zygmunt.krynicki@linaro.org>
#
# This file is part of Launch Control.
#
# Launch Control is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License version 3
# as published by the Free Software Foundation
#
# Launch Control is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with Launch Control.  If not, see <http://www.gnu.org/licenses/>.

from lava_server.extension import LavaServerExtension


class DataStoreExtension(LavaServerExtension):

    @property
    def app_name(self):
        return "lava_data_store"

    @property
    def name(self):
        return "Projects"

    @property
    def main_view_name(self):
        return "lava_data_store.views.project_list"

    @property
    def description(self):
        return "Projects"

    @property
    def version(self):
        from lava_data_store import __version__
        import versiontools
        return versiontools.format_version(__version__)

    @property
    def api_class(self):
        from lava_data_store.webapi import ProjectAPI 
        return ProjectAPI
